unit Url;

interface

type

HCkUrl = Pointer;
HCkString = Pointer;


function CkUrl_Create: HCkUrl; stdcall;
procedure CkUrl_Dispose(handle: HCkUrl); stdcall;
procedure CkUrl_getDebugLogFilePath(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

procedure CkUrl_putDebugLogFilePath(objHandle: HCkUrl; newPropVal: PWideChar); stdcall;

function CkUrl__debugLogFilePath(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getFrag(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__frag(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getHost(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__host(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getHostType(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__hostType(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getLastErrorHtml(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__lastErrorHtml(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getLastErrorText(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__lastErrorText(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getLastErrorXml(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__lastErrorXml(objHandle: HCkUrl): PWideChar; stdcall;

function CkUrl_getLastMethodSuccess(objHandle: HCkUrl): wordbool; stdcall;

procedure CkUrl_putLastMethodSuccess(objHandle: HCkUrl; newPropVal: wordbool); stdcall;

procedure CkUrl_getLogin(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__login(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getPassword(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__password(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getPath(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__path(objHandle: HCkUrl): PWideChar; stdcall;

procedure CkUrl_getPathWithQueryParams(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__pathWithQueryParams(objHandle: HCkUrl): PWideChar; stdcall;

function CkUrl_getPort(objHandle: HCkUrl): Integer; stdcall;

procedure CkUrl_getQuery(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__query(objHandle: HCkUrl): PWideChar; stdcall;

function CkUrl_getSsl(objHandle: HCkUrl): wordbool; stdcall;

function CkUrl_getVerboseLogging(objHandle: HCkUrl): wordbool; stdcall;

procedure CkUrl_putVerboseLogging(objHandle: HCkUrl; newPropVal: wordbool); stdcall;

procedure CkUrl_getVersion(objHandle: HCkUrl; outPropVal: HCkString); stdcall;

function CkUrl__version(objHandle: HCkUrl): PWideChar; stdcall;

function CkUrl_ParseUrl(objHandle: HCkUrl; url: PWideChar): wordbool; stdcall;

implementation

{$Include chilkatDllPath.inc}

function CkUrl_Create; external DLLName;
procedure CkUrl_Dispose; external DLLName;
procedure CkUrl_getDebugLogFilePath; external DLLName;
procedure CkUrl_putDebugLogFilePath; external DLLName;
function CkUrl__debugLogFilePath; external DLLName;
procedure CkUrl_getFrag; external DLLName;
function CkUrl__frag; external DLLName;
procedure CkUrl_getHost; external DLLName;
function CkUrl__host; external DLLName;
procedure CkUrl_getHostType; external DLLName;
function CkUrl__hostType; external DLLName;
procedure CkUrl_getLastErrorHtml; external DLLName;
function CkUrl__lastErrorHtml; external DLLName;
procedure CkUrl_getLastErrorText; external DLLName;
function CkUrl__lastErrorText; external DLLName;
procedure CkUrl_getLastErrorXml; external DLLName;
function CkUrl__lastErrorXml; external DLLName;
function CkUrl_getLastMethodSuccess; external DLLName;
procedure CkUrl_putLastMethodSuccess; external DLLName;
procedure CkUrl_getLogin; external DLLName;
function CkUrl__login; external DLLName;
procedure CkUrl_getPassword; external DLLName;
function CkUrl__password; external DLLName;
procedure CkUrl_getPath; external DLLName;
function CkUrl__path; external DLLName;
procedure CkUrl_getPathWithQueryParams; external DLLName;
function CkUrl__pathWithQueryParams; external DLLName;
function CkUrl_getPort; external DLLName;
procedure CkUrl_getQuery; external DLLName;
function CkUrl__query; external DLLName;
function CkUrl_getSsl; external DLLName;
function CkUrl_getVerboseLogging; external DLLName;
procedure CkUrl_putVerboseLogging; external DLLName;
procedure CkUrl_getVersion; external DLLName;
function CkUrl__version; external DLLName;
function CkUrl_ParseUrl; external DLLName;



end.
